# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.76"
name = "tachys"
version = "0.1.0-beta7"
authors = ["Greg Johnston"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tools for building reactivity-agnostic, renderer-generic, statically-typed view trees for user interface libraries."
readme = "README.md"
license = "MIT"
repository = "https://github.com/leptos-rs/leptos"

[package.metadata.cargo-all-features]
denylist = [
    "tracing",
    "sledgehammer",
]
skip_feature_sets = [[
    "ssr",
    "hydrate",
]]

[lib]
name = "tachys"
path = "src/lib.rs"

[dependencies.any_spawner]
version = "0.1.0"
optional = true

[dependencies.const_str_slice_concat]
version = "0.1.0"

[dependencies.drain_filter_polyfill]
version = "0.1.3"

[dependencies.either_of]
version = "0.1.0"

[dependencies.futures]
version = "0.3.30"

[dependencies.html-escape]
version = "0.2.13"

[dependencies.indexmap]
version = "2.3"

[dependencies.itertools]
version = "0.13.0"

[dependencies.js-sys]
version = "0.3.69"

[dependencies.linear-map]
version = "1.2"

[dependencies.next_tuple]
version = "0.1.0-beta7"

[dependencies.oco_ref]
version = "0.2.0"
optional = true

[dependencies.once_cell]
version = "1.19"

[dependencies.or_poisoned]
version = "0.1.0"

[dependencies.parking_lot]
version = "0.12.3"

[dependencies.paste]
version = "1.0"

[dependencies.reactive_graph]
version = "0.1.0-beta7"
optional = true

[dependencies.rustc-hash]
version = "2.0"

[dependencies.send_wrapper]
version = "0.6.0"

[dependencies.sledgehammer_bindgen]
version = "0.4.0"
features = ["web"]
optional = true

[dependencies.sledgehammer_utils]
version = "0.2.1"
optional = true

[dependencies.slotmap]
version = "1.0"
optional = true

[dependencies.throw_error]
version = "0.2.0-beta7"

[dependencies.tracing]
version = "0.1.40"
optional = true

[dependencies.wasm-bindgen]
version = "0.2.93"

[dependencies.web-sys]
version = "0.3.70"
features = [
    "Window",
    "Document",
    "HtmlElement",
    "HtmlInputElement",
    "Element",
    "Event",
    "console",
    "Comment",
    "Text",
    "Node",
    "HtmlTemplateElement",
    "DocumentFragment",
    "DomTokenList",
    "CssStyleDeclaration",
    "ShadowRoot",
    "HtmlCollection",
    "DomStringMap",
    "AddEventListenerOptions",
    "AnimationEvent",
    "BeforeUnloadEvent",
    "ClipboardEvent",
    "CompositionEvent",
    "CustomEvent",
    "DeviceMotionEvent",
    "DeviceOrientationEvent",
    "DragEvent",
    "ErrorEvent",
    "Event",
    "FocusEvent",
    "GamepadEvent",
    "HashChangeEvent",
    "InputEvent",
    "KeyboardEvent",
    "MessageEvent",
    "MouseEvent",
    "PageTransitionEvent",
    "PointerEvent",
    "PopStateEvent",
    "ProgressEvent",
    "PromiseRejectionEvent",
    "SecurityPolicyViolationEvent",
    "StorageEvent",
    "SubmitEvent",
    "TouchEvent",
    "TransitionEvent",
    "UiEvent",
    "WheelEvent",
    "HtmlHtmlElement",
    "HtmlBaseElement",
    "HtmlHeadElement",
    "HtmlLinkElement",
    "HtmlMetaElement",
    "HtmlStyleElement",
    "HtmlTitleElement",
    "HtmlBodyElement",
    "HtmlHeadingElement",
    "HtmlQuoteElement",
    "HtmlDivElement",
    "HtmlDListElement",
    "HtmlHrElement",
    "HtmlLiElement",
    "HtmlOListElement",
    "HtmlParagraphElement",
    "HtmlPreElement",
    "HtmlUListElement",
    "HtmlAnchorElement",
    "HtmlBrElement",
    "HtmlDataElement",
    "HtmlQuoteElement",
    "HtmlSpanElement",
    "HtmlTimeElement",
    "HtmlAreaElement",
    "HtmlAudioElement",
    "HtmlImageElement",
    "HtmlMapElement",
    "HtmlTrackElement",
    "HtmlVideoElement",
    "HtmlEmbedElement",
    "HtmlIFrameElement",
    "HtmlObjectElement",
    "HtmlParamElement",
    "HtmlPictureElement",
    "HtmlSourceElement",
    "SvgElement",
    "HtmlCanvasElement",
    "HtmlScriptElement",
    "HtmlModElement",
    "HtmlTableCaptionElement",
    "HtmlTableColElement",
    "HtmlTableColElement",
    "HtmlTableElement",
    "HtmlTableSectionElement",
    "HtmlTableCellElement",
    "HtmlTableSectionElement",
    "HtmlTableCellElement",
    "HtmlTableSectionElement",
    "HtmlTableRowElement",
    "HtmlButtonElement",
    "HtmlDataListElement",
    "HtmlFieldSetElement",
    "HtmlFormElement",
    "HtmlInputElement",
    "HtmlLabelElement",
    "HtmlLegendElement",
    "HtmlMeterElement",
    "HtmlOptGroupElement",
    "HtmlOutputElement",
    "HtmlProgressElement",
    "HtmlSelectElement",
    "HtmlTextAreaElement",
    "HtmlDetailsElement",
    "HtmlDialogElement",
    "HtmlMenuElement",
    "HtmlSlotElement",
    "HtmlTemplateElement",
    "HtmlOptionElement",
]

[dev-dependencies.tokio]
version = "1.39"
features = [
    "rt",
    "macros",
]

[dev-dependencies.tokio-test]
version = "0.4.4"

[features]
default = ["testing"]
delegation = []
error-hook = []
hydrate = []
islands = []
nightly = ["reactive_graph/nightly"]
oco = ["dep:oco_ref"]
reactive_graph = [
    "dep:reactive_graph",
    "dep:any_spawner",
]
sledgehammer = [
    "dep:sledgehammer_bindgen",
    "dep:sledgehammer_utils",
]
ssr = []
testing = ["dep:slotmap"]
tracing = ["dep:tracing"]
